{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

unit Main;

interface
{$I ..\HotPDF.inc}

uses
 {$IFDEF XE2+} WinApi.Windows, Winapi.Messages, System.SysUtils, System.Classes, Vcl.StdCtrls, Vcl.Controls, Vcl.Dialogs, Vcl.Forms, Vcl.Graphics,  
 {$ELSE} Windows, Messages, SysUtils, Controls, StdCtrls, Classes, Dialogs, Forms, Graphics, {$ENDIF} HPDFDoc;  

type
  TForm1 = class(TForm)
    HelloWorldButton: TButton;
    edtWeb: TEdit;
    edtProduct: TEdit;
    edtOrder: TEdit;
    edtContact: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure HelloWorldButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  HotPDF: THotPDF;

implementation

{$R *.dfm}

procedure TForm1.HelloWorldButtonClick(Sender: TObject);
begin

  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;
    HotPDF.FileName := 'Hyperlinks.pdf';
    HotPDF.BeginDoc;
    HotPDF.CurrentPage.SetFont( 'Times New Roman', [], 13 );
    HotPDF.CurrentPage.TextOut(30,30,0,'Clickable links:');
    HotPDF.CurrentPage.PrintHyperlink(30, 60, 'Company site: ' + edtWeb.Text, edtWeb.Text);
    HotPDF.CurrentPage.PrintHyperlink(30, 80, 'Product page: ' + edtProduct.Text, edtProduct.Text);
    HotPDF.CurrentPage.SetRGBHyperlinkColor(clRed);
    HotPDF.CurrentPage.PrintHyperlink(30, 100, 'Purchase link: ' + edtOrder.Text, edtOrder.Text);
    HotPDF.CurrentPage.SetRGBHyperlinkColor(clBlue);
    HotPDF.CurrentPage.PrintHyperlink(30, 120, 'Contact form: ' + edtContact.Text, edtContact.Text);
    HotPDF.EndDoc;
  finally
    HotPDF.Free;
  end;

end;

end.
