{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program MemStream;
{$I ..\HotPDF.inc}
{$APPTYPE CONSOLE}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Winapi.ShellAPI, Vcl.Graphics,
{$ELSE} SysUtils, Classes, ShellAPI, Graphics, {$ENDIF} HPDFDoc;  

var
  HotPDF: THotPDF;
  MemoryStream: TMemoryStream;
  FileStream: TFileStream;
begin
  HotPDF:= THotPDF.Create(nil);
  try
    MemoryStream := TMemoryStream.Create;            // Create memory stream
    try
      HotPDF.OutputStream := MemoryStream;           // Set HotPDF output stream
      HotPDF.BeginDoc;
      HotPDF.CurrentPage.TextOut(10, 10, 0, 'Text created in MemoryStream');
      HotPDF.EndDoc;

      FileStream := TFileStream.Create( 'MemStream.pdf', fmCreate ) ;  // Create filestream
      try
        FileStream.CopyFrom( MemoryStream, MemoryStream.Size );        // Copy from memory
      finally
        FileStream.Free;
      end;
    finally
      MemoryStream.Free;
    end;
  finally
    ShellExecute(0, 'open', 'MemStream.pdf', nil, nil, 0);
    // In this demo, HotPDF.AutoLaunch will not work as we did not create the file directly.
    // It is copied from MemoryStream, so we need to use ShellExecute to open the PDF from the app.
    HotPDF.Free;
  end;
end.
