unit Main;

interface
{$I ..\HotPDF.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, HPDFDoc;

type
  TForm1 = class(TForm)
    InFileEdit: TEdit;
    Button1: TButton;
    OutFileEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  HotPDF: THotPDF;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
    ImgIns: Integer;
begin

  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;
    HotPDF.FileName := OutFileEdit.Text;     // Set out filename
    HotPDF.LoadFromFile(InFileEdit.Text);    // Load an existing PDF file
    HotPDF.PageLayout := plOneColumn;        // Set one column page layout
    HotPDF.BeginDoc;

    HotPDF.CurrentPageNumber := 0;           // Set page number 0 as current page
    HotPDF.CurrentPage.SetRGBColor(clRed);   //
    HotPDF.CurrentPage.MoveTo(472, 110);     //
    HotPDF.CurrentPage.LineTo(509, 105);     //  Draw red line
    HotPDF.CurrentPage.Stroke;               //
    HotPDF.CurrentPage.SetFont('Arial', [fsItalic], 12, 0);
    HotPDF.CurrentPage.TextOut(478, 90, 0, 'bird'); // Print text
    HotPDF.CurrentPage.MoveTo(105, 200);     //
    HotPDF.CurrentPage.LineTo(134, 195);     //    Draw red line
    HotPDF.CurrentPage.Stroke;               //
    HotPDF.CurrentPage.SetFont('Arial', [fsItalic], 12, 0);
    HotPDF.CurrentPage.TextOut(105, 180, 0, 'black'); // Print text
    HotPDF.CurrentPage.AddStampAnnotation ( 'Draft',  Rect(300, 300, 450, 390), satDraft); //  Set stamp DRAW
    ImgIns := HotPDF.AddImage('Stamp.jpg', icJpeg );
    HotPDF.CurrentPage.ShowImage(ImgIns, 50, 300, 100, 50, 0 );  // Draw image stamp
    HotPDF.CurrentPageNumber := 1;           // CurrentPageNumber 1 referred to the second page of the document, the Input.pdf must have page 2
    HotPDF.CurrentPage.ShowImage(ImgIns, 50, 300, 100, 50, 0 );  // Draw image stamp
    HotPDF.CurrentPage.AddStampAnnotation ( 'Approved',  Rect(300, 300, 450, 390), satApproved); // Set stamp APPROVED

    HotPDF.EndDoc;
  finally
    HotPDF.Free;
  end;

end;

end.
