unit MainUnit;

interface
{$I HotPDF.inc}
{$I ..\HotPDF.inc}

uses
 {$IFDEF XE2+} WinApi.Windows, Winapi.Messages, System.SysUtils, System.Classes, System.Variants, Vcl.StdCtrls, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,  
 {$ELSE} Windows, Messages, SysUtils, Classes, {$IFNDEF D5} Variants, {$ENDIF} Controls, StdCtrls, Forms, Dialogs, {$ENDIF} HPDFDoc;    

type
  TForm1 = class(TForm)
    Button1: TButton;
    GroupBox1: TGroupBox;
    SourceEdit1: TEdit;
    SourceEdit2: TEdit;
    SourceEdit3: TEdit;
    GroupBox2: TGroupBox;
    DestEdit: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
    I : Integer;
    SourceDoc, DestDoc: THotPDF;
    DocLen: Integer;
begin
    DestDoc := THotPDF.Create(nil);
    try
        DestDoc.FileName := DestEdit.Text;
        DestDoc.Compression := cmFlateDecode;
        DestDoc.BeginDoc;
        SourceDoc := THotPDF.Create(nil);
        try
            DocLen := SourceDoc.LoadFromFile(SourceEdit1.Text); // Load first source document
            for I := 0 to DocLen - 1 do
            begin                                                                    // Copy all pages
                DestDoc.CopyPageFromDocument(SourceDoc, I, (DestDoc.PagesCount - 1));//  from first source
            end;                                                                     //  document
        finally
            SourceDoc.Free;
        end;

        SourceDoc := THotPDF.Create(nil);
        try
            DocLen := SourceDoc.LoadFromFile(SourceEdit2.Text); // Load second source document
            for I := 0 to DocLen - 1 do
            begin                                                                    // Copy all pages
                DestDoc.CopyPageFromDocument(SourceDoc, I, (DestDoc.PagesCount - 1));//  from second source
            end;                                                                     //  document
        finally
            SourceDoc.Free;
        end;

        SourceDoc := THotPDF.Create(nil);
        try
            DocLen := SourceDoc.LoadFromFile(SourceEdit3.Text); // Load third source document
            for I := 0 to DocLen - 1 do
            begin                                                                    // Copy all pages
                DestDoc.CopyPageFromDocument(SourceDoc, I, (DestDoc.PagesCount - 1));//  from third source
            end;                                                                     //  document
        finally
            SourceDoc.Free;
        end;

        DestDoc.DeletePage(DestDoc.PagesCount - 1); //Delete last empty page
        DestDoc.EndDoc;
    finally
        DestDoc.Free;
    end;
end;

end.
