﻿{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

unit Unit1;

interface
{$I ..\HotPDF.inc}

uses
 {$IFDEF XE2+} WinApi.Windows, Winapi.Messages, System.SysUtils, System.Classes, Vcl.StdCtrls, Vcl.Controls, Vcl.Dialogs, Vcl.Forms,  
 {$ELSE} Windows, Messages, SysUtils, Controls, StdCtrls, Classes, Dialogs, Forms, {$ENDIF} HPDFDoc;       

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  HotPDF: THotPDF;

implementation

{$R *.DFM}
// Delphi 7 cannot display Unicode characters correctly.
// You need Delphi 2007 or above to open this file.

procedure TForm1.Button1Click(Sender: TObject);
begin

  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;
    HotPDF.FileName := 'VerticalText.pdf';
    HotPDF.BeginDoc;
    {$IFDEF D2007+}	
    HotPDF.CurrentPage.SetFont('Arial Unicode MS', [], 12, 0, False);  //Set horizontal text
    HotPDF.CurrentPage.UnicodeTextOut( 30, 10, 0, 'Horizontal Text Горизонтальный текст 横書き');  //Print horizontal text
    {$ENDIF}

    HotPDF.CurrentPage.SetFont('Arial Unicode MS', [], 12, 0, True);  //Set vertical text
    HotPDF.CurrentPage.UnicodeTextOut( 30, 40, 0, 'Vertical Text');   //Print vertical text
    HotPDF.CurrentPage.UnicodeTextOut( 70, 40, 0, 'Texto vertical');
    HotPDF.CurrentPage.UnicodeTextOut( 110, 40, 0, 'Vertikaler Text');
    HotPDF.CurrentPage.UnicodeTextOut( 150, 40, 0, 'Texte vertical');
    HotPDF.CurrentPage.UnicodeTextOut( 190, 40, 0, 'Testo verticale');
    HotPDF.CurrentPage.UnicodeTextOut( 230, 40, 0, 'Verticale tekst');
    {$IFDEF D2007+}
    HotPDF.CurrentPage.UnicodeTextOut( 270, 40, 0, 'Verticale tekst');
    HotPDF.CurrentPage.UnicodeTextOut( 310, 40, 0, '縦書きテキスト');
    HotPDF.CurrentPage.UnicodeTextOut( 350, 40, 0, '垂直文本');
    HotPDF.CurrentPage.SetFont('Malgun Gothic Semilight', [], 12, 0, True);  //Set Korean Font
    HotPDF.CurrentPage.UnicodeTextOut( 390, 40, 0, '한국어 텍스트');
    {$ENDIF}

    HotPDF.EndDoc;
  finally
    HotPDF.Free;
  end;

end;
end.
