{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

unit Main;

interface
{$I ..\HotPDF.inc}

uses
 {$IFDEF XE2+} WinApi.Windows, Winapi.Messages, System.SysUtils, System.Classes, Vcl.StdCtrls, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,  
 {$ELSE} Windows, Messages, SysUtils, Controls, StdCtrls, Classes, Forms, Dialogs, {$ENDIF} HPDFDoc;
  

type
  TForm1 = class(TForm)
    HideToolbar: TCheckBox;
    HideMenubar: TCheckBox;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  HotPDF: THotPDF;
  VPref: THPDFViewerPreferences;
begin
  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;
    HotPDF.FileName := 'Output.pdf';
    HotPDF.BeginDoc;

    VPref := [];
    if HideToolbar.Checked then
       VPref := VPref + [vpHideToolbar];
    if HideMenubar.Checked then
       VPref := VPref + [vpHideMenubar];

    HotPDF.ViewerPreferences := VPref;
    HotPDF.CurrentPage.TextOut ( 15, 30, 0, 'Set "Viewer Preferences", for Adobe Reader compatible PDF readers only.' );

    HotPDF.EndDoc;                         // Close PDF file
  finally
    HotPDF.Free;
  end;
end;

end.
